Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

GHC: Refuse to install on Leopard

The binary releases of the GHC compiler are no longer compatible with OS X
10.5.

Fixes #11671.
  • Loading branch information...
commit 2e14216c696205c1ddafa9ccc75c5d78acf77da6 1 parent 27dd65f
@Sharpie Sharpie authored
Showing with 10 additions and 0 deletions.
  1. +10 −0 Library/Formula/ghc.rb
View
10 Library/Formula/ghc.rb
@@ -37,6 +37,16 @@ def options
end
def install
+ if MacOS.leopard?
+ onoe <<-EOS.undent
+ GHC requires OS X 10.6 or newer. The binary releases no longer work on
+ Leopard. See the following issue for details:
+
+ http://hackage.haskell.org/trac/ghc/ticket/6009
+ EOS
+ exit 1
+ end
+
if ARGV.build_devel?
opoo "The current version of haskell-platform will NOT work with this version of GHC!"
end
Please sign in to comment.
Something went wrong with that request. Please try again.